package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import io.swagger.annotations.ApiModelProperty;
import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/10/17
 */
public class TeacherClassHeadInfo {

    @ApiModelProperty(value = "主教编号")
    private Long bishopTeacherId;

    @ApiModelProperty(value = "主教名称")
    private String bishopTeacher;

//    @ApiModelProperty(value = "助教编号")
//    private Long teachingTeacherId;

    @ApiModelProperty(value = "助教名称")
    private String teachingTeacher;

    @ApiModelProperty(value = "班级全部学生名称，vip课用")
    private String studentNames;

    @ApiModelProperty(value = "学生数量", required = false)
    private Integer studentNum;

    @ApiModelProperty(value = "总统课次",required = false)
    private Integer totalClassTimes;

    @ApiModelProperty(value = "当前课次",required = false)
    private Integer currentClassTimes;

    @ApiModelProperty(value = "声部信息",required = false)
    private String subjectNames;

    @ApiModelProperty(value = "上课日期",required = false)
    private String classDate;

    @ApiModelProperty(value = "上课时间",required = false)
    private String startClassTime;

    @ApiModelProperty(value = "下课时间",required = false)
    private String endClassTime;

    @ApiModelProperty(value = "班级名称",required = false)
    private String classGroupName;

    @ApiModelProperty(value = "课程类型",required = false)
    private CourseScheduleType CourseScheduleType;


    public Integer getTotalClassTimes() {
        return totalClassTimes;
    }

    public void setTotalClassTimes(Integer totalClassTimes) {
        this.totalClassTimes = totalClassTimes;
    }

    public Integer getCurrentClassTimes() {
        return currentClassTimes;
    }

    public void setCurrentClassTimes(Integer currentClassTimes) {
        this.currentClassTimes = currentClassTimes;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public String getStudentNames() {
        return studentNames;
    }

    public void setStudentNames(String studentNames) {
        this.studentNames = studentNames;
    }

    public Long getBishopTeacherId() {
        return bishopTeacherId;
    }

    public void setBishopTeacherId(Long bishopTeacherId) {
        this.bishopTeacherId = bishopTeacherId;
    }

    public String getBishopTeacher() {
        return bishopTeacher;
    }

    public void setBishopTeacher(String bishopTeacher) {
        this.bishopTeacher = bishopTeacher;
    }

//    public Long getTeachingTeacherId() {
//        return teachingTeacherId;
//    }
//
//    public void setTeachingTeacherId(Long teachingTeacherId) {
//        this.teachingTeacherId = teachingTeacherId;
//    }

    public String getTeachingTeacher() {
        return teachingTeacher;
    }

    public void setTeachingTeacher(String teachingTeacher) {
        this.teachingTeacher = teachingTeacher;
    }

    public String getSubjectNames() {
        return subjectNames;
    }

    public void setSubjectNames(String subjectNames) {
        this.subjectNames = subjectNames;
    }

    public String getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(String startClassTime) {
        this.startClassTime = startClassTime;
    }

    public String getEndClassTime() {
        return endClassTime;
    }

    public void setEndClassTime(String endClassTime) {
        this.endClassTime = endClassTime;
    }

    public String getClassDate() {
        return classDate;
    }

    public void setClassDate(String classDate) {
        this.classDate = classDate;
    }

    public String getClassGroupName() {
        return classGroupName;
    }

    public void setClassGroupName(String classGroupName) {
        this.classGroupName = classGroupName;
    }

    public CourseSchedule.CourseScheduleType getCourseScheduleType() {
        return CourseScheduleType;
    }

    public void setCourseScheduleType(CourseSchedule.CourseScheduleType courseScheduleType) {
        CourseScheduleType = courseScheduleType;
    }
}
